searchNodes=[{"ref":"Scrape.html","title":"Scrape","type":"module","doc":"Documentation for Scrape."},{"ref":"Scrape.html#article/2","title":"Scrape.article/2","type":"function","doc":""},{"ref":"Scrape.html#article!/2","title":"Scrape.article!/2","type":"function","doc":""},{"ref":"Scrape.html#domain/2","title":"Scrape.domain/2","type":"function","doc":""},{"ref":"Scrape.html#domain!/2","title":"Scrape.domain!/2","type":"function","doc":""},{"ref":"Scrape.html#feed/2","title":"Scrape.feed/2","type":"function","doc":""},{"ref":"Scrape.html#feed!/2","title":"Scrape.feed!/2","type":"function","doc":""},{"ref":"Scrape.Flow.html","title":"Scrape.Flow","type":"module","doc":"Logic Module for implementing linear data processing workflows. Uses a &quot;token&quot; approach to store/retrieve values and persists a pipeline state that can be halted at any time. In case that something goes wrong, the pipeline will be halted and an error object will be returned with the occured error. Therefore, the pipeline should never raise an actual exception."},{"ref":"Scrape.Flow.html#assign/2","title":"Scrape.Flow.assign/2","type":"function","doc":"Declare a new value in the data flow. Will do nothing if the flow got halted previously. If a function is given, and it raises an exception, the pipeline will catch the error and transform into a halted state."},{"ref":"Scrape.Flow.html#finish/2","title":"Scrape.Flow.finish/2","type":"function","doc":""},{"ref":"Scrape.Flow.html#start/1","title":"Scrape.Flow.start/1","type":"function","doc":"Initiate a new data processing flow with optional configuration. Example iex&gt; Flow.start() %Flow{state: %{halted: false, error: nil}, assigns: %{}, options: []}"},{"ref":"Scrape.Flow.html#t:flow/0","title":"Scrape.Flow.flow/0","type":"type","doc":"Intermediate state object that holds everything relevant for the data processing work flow. state holds general processing information, assigns are the user-level data fields and options contains a keyword list for, well, configuration options."},{"ref":"Scrape.IR.Feed.html","title":"Scrape.IR.Feed","type":"module","doc":""},{"ref":"Scrape.IR.Feed.html#description/1","title":"Scrape.IR.Feed.description/1","type":"function","doc":"Extract the (best) description from the feed. Example iex&gt; Feed.description(&quot;&lt;feed&gt;&lt;description&gt;abc&lt;/description&gt;&lt;/feed&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.Feed.html#items/1","title":"Scrape.IR.Feed.items/1","type":"function","doc":"Returns the list of all feed items. Example iex&gt; Feed.items(&quot;&lt;feed&gt;&lt;entry&gt;&lt;title&gt;abc&lt;/title&gt;&lt;/entry&gt;&lt;/feed&gt;&quot;) [%{&quot;title&quot; =&gt; &quot;abc&quot;}]"},{"ref":"Scrape.IR.Feed.html#title/1","title":"Scrape.IR.Feed.title/1","type":"function","doc":"Extract the (best) title from the feed. Example iex&gt; Feed.title(&quot;&lt;feed&gt;&lt;title&gt;abc&lt;/title&gt;&lt;/feed&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.Feed.html#website_url/1","title":"Scrape.IR.Feed.website_url/1","type":"function","doc":"Extract the website_url from the feed. Example iex&gt; Feed.website_url(&quot;&lt;feed&gt;&lt;link href=&#39;http://example.com&#39; /&gt;&lt;/feed&gt;&quot;) &quot;http://example.com&quot;"},{"ref":"Scrape.IR.FeedItem.html","title":"Scrape.IR.FeedItem","type":"module","doc":""},{"ref":"Scrape.IR.FeedItem.html#article_url/2","title":"Scrape.IR.FeedItem.article_url/2","type":"function","doc":"Extract the article_url from the feed item. Example iex&gt; FeedItem.article_url(&quot;&lt;link href=&#39;http://example.com&#39; /&gt;&quot;) &quot;http://example.com&quot; iex&gt; FeedItem.article_url(&quot;&lt;link href=&#39;/url&#39; /&gt;&quot;, &quot;http://example.com&quot;) &quot;http://example.com/url&quot;"},{"ref":"Scrape.IR.FeedItem.html#author/1","title":"Scrape.IR.FeedItem.author/1","type":"function","doc":"Extract the author from the feed item. Example iex&gt; FeedItem.author(&quot;&lt;author&gt;abc&lt;/author&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.FeedItem.html#description/1","title":"Scrape.IR.FeedItem.description/1","type":"function","doc":"Extract the (best) description from the feed item. Example iex&gt; FeedItem.description(&quot;&lt;description&gt;abc&lt;/description&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.FeedItem.html#image_url/2","title":"Scrape.IR.FeedItem.image_url/2","type":"function","doc":"Extract the image_url from the feed item. Example iex&gt; FeedItem.image_url(&quot;&lt;enclosure url=&#39;abc&#39; /&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.FeedItem.html#tags/1","title":"Scrape.IR.FeedItem.tags/1","type":"function","doc":"Extract the possible tags from the feed item. Example iex&gt; FeedItem.tags(&quot;&lt;category&gt;abc&lt;/category&gt;&quot;) [&quot;abc&quot;] iex&gt; FeedItem.tags(&quot;&lt;feed&gt;&lt;/feed&gt;&quot;) []"},{"ref":"Scrape.IR.FeedItem.html#title/1","title":"Scrape.IR.FeedItem.title/1","type":"function","doc":"Extract the (best) title from the feed item. Example iex&gt; FeedItem.title(&quot;&lt;title&gt;abc&lt;/title&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.HTML.html","title":"Scrape.IR.HTML","type":"module","doc":""},{"ref":"Scrape.IR.HTML.html#content/1","title":"Scrape.IR.HTML.content/1","type":"function","doc":"Try to extract the relevant text content from a given document. Uses the Readability algorithm, which might fail sometimes. Ideally, it returns a single string containing full sentences. Remember that this method uses a few heuristics that somehow work together nicely in many cases, but nothing more."},{"ref":"Scrape.IR.HTML.html#description/1","title":"Scrape.IR.HTML.description/1","type":"function","doc":"Extract the best possible description from a HTML document or nil. Examples iex&gt; HTML.description(&quot;&quot;) nil iex&gt; HTML.description(&quot;&lt;meta name=&#39;description&#39; content=&#39;abc&#39; /&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.HTML.html#feed_urls/2","title":"Scrape.IR.HTML.feed_urls/2","type":"function","doc":"Attempts to fetch all possible feed_urls from the given HTML document. Examples iex&gt; HTML.feed_urls(&quot;&quot;) [] iex&gt; HTML.feed_urls(&quot;&lt;link rel=&#39;alternate&#39; href=&#39;/feed.rss&#39; /&gt;&quot;) [&quot;/feed.rss&quot;]"},{"ref":"Scrape.IR.HTML.html#icon_url/2","title":"Scrape.IR.HTML.icon_url/2","type":"function","doc":"Attempts to find something resembling a favicon url or nil. If a root url is given, will transform relative images to absolute urls. Examples iex&gt; HTML.icon_url(&quot;&quot;) nil iex&gt; HTML.icon_url(&quot;&lt;link rel=&#39;shortcut icon&#39; href=&#39;img.jpg&#39; /&gt;&quot;) &quot;img.jpg&quot;"},{"ref":"Scrape.IR.HTML.html#image_url/2","title":"Scrape.IR.HTML.image_url/2","type":"function","doc":"Attempts to find the best image_url for the website or nil. If a root url is given, will transform relative images to absolute urls. Examples iex&gt; HTML.image_url(&quot;&quot;) nil iex&gt; HTML.image_url(&quot;&lt;meta property=&#39;og:image&#39; content=&#39;img.jpg&#39; /&gt;&quot;) &quot;img.jpg&quot;"},{"ref":"Scrape.IR.HTML.html#paragraphs/1","title":"Scrape.IR.HTML.paragraphs/1","type":"function","doc":"Attempt to find the most meaningful content snippets in the HTML document. Can be used as a fallback algorithm if content/1 did return nil but some text corpus is needed to work with. A text paragraph is relevant if it has a minimum amount of characters and contains any indicators of a sentence-like structure. Very naive approach, but works surprisingly well so far."},{"ref":"Scrape.IR.HTML.html#sentences/1","title":"Scrape.IR.HTML.sentences/1","type":"function","doc":"Convenient fallback function if content/1 didn&#39;t work. Uses paragraphs/1 under the hood."},{"ref":"Scrape.IR.HTML.html#simple/1","title":"Scrape.IR.HTML.simple/1","type":"function","doc":"Try to extract the semantically relevant part from a given document. Uses the Readability algorithm, which might fail sometimes. Ideally, it returns a single string containing full sentences. Remember that this method uses a few heuristics that somehow work together nicely in many cases, but nothing more."},{"ref":"Scrape.IR.HTML.html#title/1","title":"Scrape.IR.HTML.title/1","type":"function","doc":"Extract the best possible title from a HTML document (string or DOM) or nil. Examples iex&gt; HTML.title(&quot;&quot;) nil iex&gt; HTML.title(&quot;&lt;title&gt;abc&lt;/title&gt;&quot;) &quot;abc&quot;"},{"ref":"Scrape.IR.Text.html","title":"Scrape.IR.Text","type":"module","doc":"Collection of text mining algorithms, like summarization, classification and clustering. Details are hidden within the algorithms, so a clean interface can be provided."},{"ref":"Scrape.IR.Text.html#clean/1","title":"Scrape.IR.Text.clean/1","type":"function","doc":"Removes all junk from a given text, like javascript, html or mixed whitespace. Example iex&gt; Scrape.IR.Text.clean(&quot; hello, world!&quot;) &quot;hello, world!&quot;"},{"ref":"Scrape.IR.Text.html#detect_language/1","title":"Scrape.IR.Text.detect_language/1","type":"function","doc":"Find out in which natural language the given text is written in. Currently only german and (fallback) english are valid results. Uses external library Paasaa. Example iex&gt; Scrape.IR.Text.detect_language(&quot;the quick brown fox jumps over...&quot;) :en iex&gt; Scrape.IR.Text.detect_language(&quot;Es ist ein schönes Wetter heute...&quot;) :de"},{"ref":"Scrape.IR.Text.html#extract_summary/3","title":"Scrape.IR.Text.extract_summary/3","type":"function","doc":""},{"ref":"Scrape.IR.Text.html#generate_summary/1","title":"Scrape.IR.Text.generate_summary/1","type":"function","doc":""},{"ref":"Scrape.IR.Text.html#normalize_whitespace/1","title":"Scrape.IR.Text.normalize_whitespace/1","type":"function","doc":"A text paragraph shall not include any whitespace except single spaces between words. ## Example iex&gt; Scrape.IR.Text.normalize_whitespace(&quot; hello world &quot;) &quot;hello world&quot;"},{"ref":"Scrape.IR.Text.html#semantic_keywords/3","title":"Scrape.IR.Text.semantic_keywords/3","type":"function","doc":""},{"ref":"Scrape.IR.Text.html#semantic_tokenize/2","title":"Scrape.IR.Text.semantic_tokenize/2","type":"function","doc":"Dissect a text into word tokens similar to tokenize/1 but strips words that carry no semantic value. Examples iex&gt; Scrape.IR.Text.semantic_tokenize(&quot;A beautiful day!&quot;, :en) [&quot;beautiful&quot;, &quot;day&quot;]"},{"ref":"Scrape.IR.Text.html#tokenize/1","title":"Scrape.IR.Text.tokenize/1","type":"function","doc":"Dissect a text into word tokens. The resulting list is a list of downcased words with all non-word-characters stripped. Examples iex&gt; Scrape.IR.Text.tokenize(&quot;Hello, world!&quot;) [&quot;hello&quot;, &quot;world&quot;]"},{"ref":"Scrape.IR.Text.html#without_html/1","title":"Scrape.IR.Text.without_html/1","type":"function","doc":"Strip all HTML tags from a text. ## Example iex&gt; Scrape.IR.Text.without_html(&quot;&lt;p&gt;stuff&lt;/p&gt;&quot;) &quot;stuff&quot;"},{"ref":"Scrape.IR.Text.html#without_js/1","title":"Scrape.IR.Text.without_js/1","type":"function","doc":"Remove all occurences of javascript from a HTML snippet. Uses a regex (!) ## Example iex&gt; Scrape.IR.Text.without_js(&quot;a&lt;script&gt;b&lt;/script&gt;c&quot;) &quot;ac&quot;"},{"ref":"Scrape.Options.html","title":"Scrape.Options","type":"module","doc":""},{"ref":"Scrape.Options.html#merge/1","title":"Scrape.Options.merge/1","type":"function","doc":""},{"ref":"Scrape.Source.Disk.html","title":"Scrape.Source.Disk","type":"module","doc":""},{"ref":"Scrape.Source.Disk.html#get/1","title":"Scrape.Source.Disk.get/1","type":"function","doc":""},{"ref":"Scrape.Source.Disk.html#get!/1","title":"Scrape.Source.Disk.get!/1","type":"function","doc":""},{"ref":"Scrape.Source.HTTP.html","title":"Scrape.Source.HTTP","type":"module","doc":""},{"ref":"Scrape.Source.HTTP.html#get/1","title":"Scrape.Source.HTTP.get/1","type":"function","doc":""},{"ref":"Scrape.Source.HTTP.html#get!/1","title":"Scrape.Source.HTTP.get!/1","type":"function","doc":""},{"ref":"Scrape.Source.HTTP.Charset.html","title":"Scrape.Source.HTTP.Charset","type":"module","doc":""},{"ref":"Scrape.Source.HTTP.Charset.html#from_headers/1","title":"Scrape.Source.HTTP.Charset.from_headers/1","type":"function","doc":""},{"ref":"Scrape.Source.HTTP.Get.html","title":"Scrape.Source.HTTP.Get","type":"module","doc":""},{"ref":"Scrape.Source.HTTP.Get.html#execute/3","title":"Scrape.Source.HTTP.Get.execute/3","type":"function","doc":""},{"ref":"Scrape.Source.HTTP.Transcode.html","title":"Scrape.Source.HTTP.Transcode","type":"module","doc":""},{"ref":"Scrape.Source.HTTP.Transcode.html#execute/2","title":"Scrape.Source.HTTP.Transcode.execute/2","type":"function","doc":""},{"ref":"Scrape.Tools.DOM.html","title":"Scrape.Tools.DOM","type":"module","doc":"Utility module for selecting/extracting data from a &quot;DOM&quot; (HTML/XML tree-like structure). Can find text values and attribute values, inspired by jQuery and implemented with Floki."},{"ref":"Scrape.Tools.DOM.html#attr/3","title":"Scrape.Tools.DOM.attr/3","type":"function","doc":"Similar to text/2 but but returns a chosen attribute value instead of the node&#39;s text value (or nil). Examples iex&gt; &quot;&lt;meta name=&#39;a&#39; content=&#39;b&#39; /&gt;&quot; |&gt; DOM.from_string |&gt; DOM.attr(&quot;meta&quot;, &quot;unknown&quot;) nil iex&gt; &quot;&lt;meta name=&#39;a&#39; content=&#39;b&#39; /&gt;&quot; |&gt; DOM.from_string |&gt; DOM.attr(&quot;meta&quot;, &quot;content&quot;) &quot;b&quot; iex&gt; &quot;&lt;meta name=&#39;a&#39; content=&#39;b&#39; /&gt;&quot; |&gt; DOM.from_string |&gt; DOM.attr(&quot;meta[name=a]&quot;, &quot;content&quot;) &quot;b&quot;"},{"ref":"Scrape.Tools.DOM.html#attrs/3","title":"Scrape.Tools.DOM.attrs/3","type":"function","doc":"Similar to attr/3 but returns a list of all matching results. Examples iex&gt; &quot;&lt;p class=&#39;a&#39;&gt;b&lt;/p&gt;&lt;p class=&#39;c&#39; /&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.attrs(&quot;div&quot;, &quot;class&quot;) [] iex&gt; &quot;&lt;p class=&#39;a&#39;&gt;b&lt;/p&gt;&lt;p class=&#39;c&#39; /&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.attrs(&quot;p&quot;, &quot;id&quot;) [] iex&gt; &quot;&lt;p class=&#39;a&#39;&gt;b&lt;/p&gt;&lt;p class=&#39;c&#39; /&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.attrs(&quot;p&quot;, &quot;class&quot;) [&quot;a&quot;, &quot;c&quot;]"},{"ref":"Scrape.Tools.DOM.html#first/2","title":"Scrape.Tools.DOM.first/2","type":"function","doc":"Cascading query helper, applies either text/2 or attr/3 until something returns a non-nil result or all queries are tried. Examples iex&gt; DOM.first([], []) nil iex&gt; DOM.first([], [{&quot;b&quot;}, {&quot;i&quot;}, {&quot;div&quot;, &quot;class&quot;}]) nil iex&gt; &quot;&lt;div id=&#39;1&#39;&gt;abc&lt;/div&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.first([{&quot;i&quot;}, {&quot;div&quot;, &quot;id&quot;}]) &quot;1&quot; iex&gt; &quot;&lt;b&gt;abc&lt;/b&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.first([{&quot;i&quot;}, {&quot;b&quot;}]) &quot;abc&quot;"},{"ref":"Scrape.Tools.DOM.html#from_string/1","title":"Scrape.Tools.DOM.from_string/1","type":"function","doc":"Create a DOM from a given (HTML/XML) string. Examples iex&gt; DOM.from_string(&quot;&quot;) [] iex&gt; DOM.from_string(&quot;&lt;html&gt;&lt;/html&gt;&quot;) {&quot;html&quot;, [], []}"},{"ref":"Scrape.Tools.DOM.html#text/2","title":"Scrape.Tools.DOM.text/2","type":"function","doc":"Get the text value of a DOM node (including nested nodes). If many nodes match the selector, the first one is used. Examples iex&gt; &quot;&lt;div&gt;abc&lt;/div&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.text(&quot;p&quot;) nil iex&gt; &quot;&lt;div&gt;abc&lt;/div&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.text(&quot;div&quot;) &quot;abc&quot;"},{"ref":"Scrape.Tools.DOM.html#texts/2","title":"Scrape.Tools.DOM.texts/2","type":"function","doc":"Similar to text/2 but iterates over all matching nodes. Returns always a list result, but with nil values filtered. Examples iex&gt; &quot;&lt;div&gt;abc&lt;/div&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.texts(&quot;p&quot;) [] iex&gt; &quot;&lt;div&gt;abc&lt;/div&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.texts(&quot;div&quot;) [&quot;abc&quot;] iex&gt; &quot;&lt;p&gt;a&lt;/p&gt;&lt;p&gt;b&lt;/p&gt;&quot; |&gt; DOM.from_string() |&gt; DOM.texts(&quot;p&quot;) [&quot;a&quot;, &quot;b&quot;]"},{"ref":"Scrape.Tools.DOM.html#to_string/1","title":"Scrape.Tools.DOM.to_string/1","type":"function","doc":"Builds a (HTML/XML) string from a DOM structure. Examples iex&gt; DOM.to_string([]) &quot;&quot; iex&gt; DOM.to_string({&quot;html&quot;, [], []}) &quot;&lt;html&gt;&lt;/html&gt;&quot;"},{"ref":"Scrape.Tools.DOM.html#t:dom/0","title":"Scrape.Tools.DOM.dom/0","type":"type","doc":"DOM tree representation, same as Floki&#39;s html_tree. Can be created via from_string/1."},{"ref":"Scrape.Tools.Tree.html","title":"Scrape.Tools.Tree","type":"module","doc":"Utility module for interacting with nested Map structures, here called &quot;tree&quot;."},{"ref":"Scrape.Tools.Tree.html#find/2","title":"Scrape.Tools.Tree.find/2","type":"function","doc":"Attempts to get a nested value from the tree using a string selector syntax. Returns nil if nothing matches the selector or all matching results. Examples iex&gt; Tree.find(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}, &quot;a&quot;) %{&quot;b&quot; =&gt; &quot;c&quot;} iex&gt; Tree.find(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}, &quot;a.b&quot;) &quot;c&quot; iex&gt; Tree.find(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}, &quot;unknown&quot;) nil iex&gt; Tree.find(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; &quot;c&quot;}]}, &quot;a.b&quot;) [&quot;c&quot;] iex&gt; Tree.find(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; [%{&quot;c&quot; =&gt; &quot;d&quot;}]}]}, &quot;a.b.c&quot;) [&quot;d&quot;] iex&gt; Tree.find(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; &quot;c&quot;}, %{&quot;b&quot; =&gt; &quot;c&quot;}]}, &quot;a.b&quot;) [&quot;c&quot;, &quot;c&quot;] iex&gt; Tree.find(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; [%{&quot;c&quot; =&gt; &quot;d&quot;}]}]}, &quot;a.*.c&quot;) [&quot;d&quot;] iex&gt; Tree.find(%{&quot;hello&quot; =&gt; &quot;world&quot;}, &quot;~ell&quot;) [&quot;world&quot;]"},{"ref":"Scrape.Tools.Tree.html#find_all/2","title":"Scrape.Tools.Tree.find_all/2","type":"function","doc":"Applies find/2 to all given selectors and combines the result. Examples iex&gt; Tree.find_all(%{&quot;a&quot; =&gt; &quot;b&quot;, &quot;c&quot; =&gt; &quot;d&quot;}, [&quot;a&quot;, &quot;c&quot;]) [&quot;b&quot;, &quot;d&quot;] iex&gt; Tree.find_all(%{&quot;a&quot; =&gt; &quot;b&quot;, &quot;c&quot; =&gt; &quot;d&quot;}, [&quot;a&quot;, &quot;z&quot;]) [&quot;b&quot;] iex&gt; Tree.find_all(%{&quot;a&quot; =&gt; &quot;b&quot;, &quot;c&quot; =&gt; &quot;d&quot;}, [&quot;x&quot;, &quot;y&quot;]) []"},{"ref":"Scrape.Tools.Tree.html#first/2","title":"Scrape.Tools.Tree.first/2","type":"function","doc":"Attempts all queries until one returns a non-nil result or nil. Examples iex&gt; Tree.first(%{&quot;hello&quot; =&gt; &quot;world&quot;}, [&quot;unknown&quot;]) nil iex&gt; Tree.first(%{&quot;hello&quot; =&gt; &quot;world&quot;}, [&quot;unknown&quot;, &quot;hello&quot;]) &quot;world&quot;"},{"ref":"Scrape.Tools.Tree.html#from_xml_string/1","title":"Scrape.Tools.Tree.from_xml_string/1","type":"function","doc":"Transform a given xml string into a tree. The string must be utf-8 encoded. It will be sanitized via Floki and the xml declaration header will be stripped. Examples iex&gt; Tree.from_xml_string(&quot;&lt;feed&gt;&lt;item&gt;abc&lt;/item&gt;&lt;/feed&gt;&quot;) %{&quot;feed&quot; =&gt; %{&quot;item&quot; =&gt; &quot;abc&quot;}}"},{"ref":"Scrape.Tools.URL.html","title":"Scrape.Tools.URL","type":"module","doc":"Simple utility functions to extract information from URLs."},{"ref":"Scrape.Tools.URL.html#base/1","title":"Scrape.Tools.URL.base/1","type":"function","doc":"Transforms a given url into it&#39;s basic form, only including protocol scheme and host, without any other things like path, query or hash. Examples iex&gt; URL.base(&quot;https://example.com/path?param=1#search&quot;) &quot;https://example.com&quot; iex&gt; URL.base(&quot;//example.com&quot;) &quot;http://example.com&quot;"},{"ref":"Scrape.Tools.URL.html#is_http?/1","title":"Scrape.Tools.URL.is_http?/1","type":"function","doc":"Checks if a given string actually represents an URL. Example iex&gt; URL.is_http?(&quot;http://example.com&quot;) true iex&gt; URL.is_http?(&quot;example&quot;) false"},{"ref":"Scrape.Tools.URL.html#merge/2","title":"Scrape.Tools.URL.merge/2","type":"function","doc":"Rebase an URL to another root URL, useful for turning relative URLs into aboslute ones. Example iex&gt; URL.merge(&quot;/path&quot;, &quot;http://example.com&quot;) &quot;http://example.com/path&quot;"},{"ref":"Scrape.Tools.Word.html","title":"Scrape.Tools.Word","type":"module","doc":"Algorithms to extract information from single words."},{"ref":"Scrape.Tools.Word.html#is_meaningful?/2","title":"Scrape.Tools.Word.is_meaningful?/2","type":"function","doc":"Determine if a given word might be relevant for analytical purposes. Uses a simple heuristic and checks for stopword matches. Examples iex&gt; Word.is_meaningful?(&quot;a&quot;, :en) false iex&gt; Word.is_meaningful?(&quot;apple&quot;, :en) true"},{"ref":"Scrape.Tools.Word.html#is_stopword?/2","title":"Scrape.Tools.Word.is_stopword?/2","type":"function","doc":"Check if a given word is a stopword against the provided language lists. Note: the provided language lists are all-downcased words. ## Examples iex&gt; Word.IsStopword.execute(&quot;when&quot;, :en) true iex&gt; Word.IsStopword.execute(&quot;linux&quot;, :en) false iex&gt; Word.IsStopword.execute(&quot;ein&quot;, :de) true iex&gt; Word.IsStopword.execute(&quot;elixir&quot;, :de) false"},{"ref":"Scrape.Tools.Word.html#stem/2","title":"Scrape.Tools.Word.stem/2","type":"function","doc":"Extract the stem of a given word. Uses the snowball algorithm under the hood via the library Stemex, which in turn uses NIFs for raw speed. Currently only german and english are supported. Example iex&gt; Word.stem(&quot;beautiful&quot;, :en) &quot;beauti&quot; iex&gt; Word.stem(&quot;derbsten&quot;, :de) &quot;derb&quot;"}]